Bug 62652

Summary: DBCP documentation to fix/clarify
Product: Tomcat 8 Reporter: LaurentBarbareau <lbarbareau>
Component: DocumentationAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 8.0.x-trunk   
Target Milestone: ----   
Hardware: PC   
OS: All   

Description LaurentBarbareau 2018-08-24 07:18:47 UTC
First of all, for none experts, trying to figure out how to set consistently a DB connection into a context file, has become difficult.

We have DBCP 1, DBCP 2... Tomcat implements its own implementation and there's no spot clearly specifying what to choose or set...  
Resource factory attribute is not enough mentioned but it's a corner stone.
According to where you look into Tomcat 8+ documentation, at first sight it seems to be contradictory, because of the fact that old pool implementation still coexists with the new one, but if it's not clear for you, you don't know what to believe...

Well, a table clearly identifying all the modifications about this concern between Tomcat versions, would have been very useful.

But, before that, there's at least one mistake to fix, here https://tomcat.apache.org/tomcat-8.0-doc/jndi-resources-howto.html#JDBC_Data_Sources (and onward versions)
because, according to DBCP documentation and Tomcat upgrade guides, removeAbandoned attribute has become removeAbandonedOnBorrow / removeAbandonedOnMAintenance. 

Thank you
Comment 1 Mark Thomas 2018-08-24 19:28:07 UTC
Note: Tomcat 8.0.x reached end-of-life on 2018-06-30. No further fixes are releases are expected for 8.0.x. I'll take a look at the docs for 8.5.x and 9.0.x
Comment 2 Mark Thomas 2018-08-24 19:54:16 UTC
Fixed in:
- trunk for 9.0.12 onwards
- 8.5.x for 8.5.34 onwards
- 7.0.x for 7.0.91 onwards
Comment 3 LaurentBarbareau 2018-08-25 15:59:33 UTC
I know for 8.0 EOL.

And now I figured out that online documentations should only be updated (implicitly) when the next Tomcat versions will be released... That's also why 8.0 doc should stay erroneous (sic).